Summary: Userland logical volume management tools 
Name: lvm2
Version: 2.01.10
Release: 2tr
License: GPL
Group: Trustix Official
URL: http://sources.redhat.com/lvm2
Source0: ftp://sources.redhat.com/pub/lvm2/LVM2.%{version}.tgz
Patch0: lvm2-fdlog.patch
Patch1: lvm2-tcp-comms.patch
Patch2: lvm2-clmvd.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: device-mapper , libselinux-devel, libtermcap-devel
BuildRequires: readline-devel, ncurses-devel
Conflicts: kernel < 2.6
Requires: device-mapper
Obsoletes: lvm lvm-devel


%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%prep
%setup -q -n LVM2.%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --enable-static_link --enable-readline --enable-lvm1_fallback --with-staticdir=/sbin
make DESTDIR=$RPM_BUILD_ROOT 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
/sbin/lvm.static
/usr/sbin/*
%{_mandir}/*/*
%config(noreplace) /etc/lvm/lvm.conf

%changelog
* Wed Apr 05 2006 Bipin S <bipin at trustix dot org> 2.01.10-2tr
- Rebuilt against updated device-mapper

* Tue Jun 14 2005 Nived Gopalan <nived at comodo dot com> 2.01.10-1tr
- New upstream
- Fix file descriptor open error during lvm2 initialization
- Log an error if clvmd can't resolve a host name got from CCS
- Fix potential spin loop in clvmd
- Don't defer closing of FDs in clvmd as it can cause trouble

* Thu Jun 09 2005 Oystein Viggen <oysteivi at trustix dot com> 2.01.09-3tr
- Changed requires kernel > ... to conflicts kernel < ...

* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.01.09-1tr
- New Upstream

* Tue Apr 05 2005 Ajith Thampi <ajith at comodo dot com> 2.01.08-2tr
- Obseletes the lvm-devel too.

* Thu Mar 24 2005 Ajith Thampi <ajith at comodo dot com> 2.01.08
- New Upstream

* Thu Mar 17 2005 Bipin S  <bipin at comodo dot com> 2.00.33-2tr
- Rebuilt

* Thu Mar 10 2005 Ajith Thampi <ajith at comodo dot com> 2.01.07-1tr
- A new LVM which is for kernel-2.6 and above
